# vtkImageYBRToRGB Class Reference

`#include <vtkImageYBRToRGB.h>`

List of all members.

## Public Member Functions
void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeRevisionMacro (vtkImageYBRToRGB, vtkThreadedImageAlgorithm)
## Static Public Member Functions
static vtkImageYBRToRGB * | New ()
## Protected Member Functions
| vtkImageYBRToRGB ()
| ~vtkImageYBRToRGB ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)

## Constructor & Destructor Documentation

vtkImageYBRToRGB::vtkImageYBRToRGB | ( |  | ) | `[protected]`

vtkImageYBRToRGB::~vtkImageYBRToRGB | ( |  | ) | `[inline, protected]`

## Member Function Documentation

static vtkImageYBRToRGB* vtkImageYBRToRGB::New | ( |  | ) | `[static]`

void vtkImageYBRToRGB::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent |
| ) |  |  |

void vtkImageYBRToRGB::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id |
| ) |  |  | `[protected]`

vtkImageYBRToRGB::vtkTypeRevisionMacro | ( | vtkImageYBRToRGB | ,
|  | vtkThreadedImageAlgorithm |  |
| ) |  |  |

The documentation for this class was generated from the following file:

- vtkImageYBRToRGB.h